Endpoints 25
- Get available appointment slotsGET
/api/calendar/availability - Get available appointment slots across a date rangeGET
/api/calendar/availability/range - List calendar events with filters (Admin)GET
/api/calendar/events - Create or update calendar event (Admin)POST
/api/calendar/events - Delete calendar event (Admin)DEL
/api/calendar/events - Create appointment booking (Public)POST
/api/calendar/book - Get appointment bookings (Admin)GET
/api/calendar/bookings - Get available timezones for bookingGET
/api/calendar/timezones - Get API information and available servicesGET
/ - Get specific calendar event by ID (Admin)GET
/api/calendar/events/{id} - Update calendar event by ID (Admin)PUT
/api/calendar/events/{id} - Delete calendar event by ID (Admin)DEL
/api/calendar/events/{id} - Get specific booking by ID (Admin)GET
/api/calendar/bookings/{id} - Update booking status by ID (Admin)PATCH
/api/calendar/bookings/{id} - Search bookings with advanced filters (Admin)GET
/api/calendar/bookings/search - List pending appointment follow-up actions for manager reviewGET
/api/call-center/appointment-delivery - Queue one retry of interrupted appointment follow-up actionsPOST
/api/call-center/appointment-delivery/{changeId}/retry - List visible Second Chance candidatesGET
/api/call-center/recovery - Discover recovery candidates from completed call evidencePOST
/api/call-center/recovery/refresh - Review defer dismiss or assign a recovery candidatePATCH
/api/call-center/contacts/{contactId}/recovery - List manager visit profilesGET
/api/call-center/visit-profiles - Save a workspace representative visit profilePUT
/api/call-center/visit-profiles/{userId} - Get enabled appointment types and existing visitsGET
/api/call-center/contacts/{contactId}/appointment-options - Rank rep capacity and road travel appointment offersPOST
/api/call-center/contacts/{contactId}/appointment-offers - Book reschedule or cancel an appointment atomicallyPOST
/api/call-center/contacts/{contactId}/appointment-changes
